Skip to content

TikTok Shop Products List

Introduction

Retrieve the product list data of the specified TikTok shop, supporting the following functions:

  • Supports filtering by shop name
  • Supports filtering by shop ID
  • Supports filtering by region
  • Returns detailed product information, including sales volume, rating, number of related videos, etc.

Endpoint

bash
    POST /shop/v1/productList

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyarrayNoSorting parameters
pageintegerNoDefault: 1
pagesizeintegerNoDefault: 10

filter Optional Values

FieldTypeRequiredDescription
seller_idstringNoShop ID
creator_uidstringNoCreator UID associated with the shop
creator_unique_idstringNoUnique Creator ID associated with the shop: @xxxxxxx
seller_namestringNoShop Name
regionstringNoCountry/Region of the shop

seller_name and region must be passed at the same time

request example

bash
curl 'https://openapi.fastmoss.com/shop/v1/productList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "seller_id": "xxxxxxxxxxxxxxxx",
        # "creator_uid": "xxxxxxxxxxx",
        # "creator_unique_id": "xxxxxxx",
        # "seller_name": "xxxxxx",
        # "region": "US"
    },
    "page": 1,
    "pagesize": 10
}'

response body

data.total

  • Type: integer
  • Description: Total number of results

data.list

FieldTypeDescription
product_idstringProduct ID
seller_idstringShop ID
titlestringProduct title
regionstringCountry/Region
relate_creator_countintegerNumber of related creators
relate_video_countintegerNumber of related videos
categoryobjectProduct category
sku_countintegerSKU count
units_soldintegerTotal sales volume
yday_units_soldintegerYesterday's sales volume
day7_units_soldinteger7 days sales volume
day28_units_soldinteger28 days sales volume
day90_units_soldinteger90 days sales volume
gmvfloatTotal sales amount
yday_gmvfloatYesterday's sales amount
day7_gmvfloat7 days sales amount
day28_gmvfloat28 days sales amount
day90_gmvfloat90 days sales amount
product_ratingfloatProduct rating
sourcestringProduct source
tiktok_urlstringTikTok product URL
fastmoss_urlstringFastmoss product URL
shop_infoobjectShop information

data.list.category

FieldTypeDescription
l1objectLevel 1 category
l2objectLevel 2 category
l3objectLevel 3 category

data.list.category.l1/l2/l3

FieldTypeDescription
idintegerCategory ID
namestringCategory name

data.list.shop_info

FieldTypeDescription
seller_idstringSeller ID
namestringSeller name

response example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "product_id": "1729415053505106876",
        "seller_id": "xxxxxxxxxxxxx",
        "title": "tarte best-sellers trending trio - lip plump gloss, mascara & eye pencil set",
        "region": "US",
        "relate_creator_count": 11521,
        "relate_video_count": 8371,
        "category": {
          "l1": {
            "id": 14,
            "name": "Beauty & Personal Care"
          },
          "l2": {
            "id": 848648,
            "name": "Makeup"
          },
          "l3": {
            "id": 601529,
            "name": "Makeup Sets"
          }
        },
        "units_sold": 305746,
        "yday_units_sold": 7,
        "day7_units_sold": 102,
        "day28_units_sold": 419,
        "day90_units_sold": 1636,
        "gmv": 700.0,
        "yday_gmv": 23700.0,
        "day7_gmv": 702340.0,
        "day28_gmv": 702340.0,
        "day90_gmv": 74234200.0,
        "product_rating": 4.7,
        "tiktok_url": "https://shop.tiktok.com/view/product/1729415053505106876?region=US&local=en",
        "sku_count": 6
      }
    ],
    "total": 17
  },
  "message": "",
  "timestamp": 1743577374,
  "request_id": "6d4024ec-bed1-3701-7999-94e88a762d10"
}